# $Revision: 1.21 $, $Date: 2011/05/11 08:43:21 $
%define	shortname	vicious
Summary:	Vicious is a modular widget library for the "awesome" window manager
Summary(hu.UTF-8):	Vicious egy moduláris widget könyvtár az "awesome" ablakkezelőhöz
Name:		awesome-plugin-%{shortname}
Version:	2.0.3
Release:	1
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://git.sysphere.org/vicious/snapshot/vicious-%{version}.tar.gz
# Source0-md5:	9eaa0f39ae9c5cb321b006f133fba4ce
Patch0:		%{name}-graph.patch
URL:		http://awesome.naquadah.org/wiki/Vicious
Requires:	awesome >= 3.4
Suggests:	alsa-utils
Suggests:	curl
Suggests:	hddtemp
Suggests:	wireless-tools
Obsoletes:	awesome-plugin-wicked
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vicious is a modular widget library for the "awesome" window manager,
derived from the "Wicked" widget library. Vicious widget types are a
framework for creating your own widgets.

Volume widget needs alsa-utils.
Gmail widget needs curl.
HDD Temperature widget needs hddtemp.
Wireless widget needs wireless-tools.

%description -l hu.UTF-8
Vicious egy moduláris widget könyvtár az "awesome" ablakkezelőhöz, a
Wicked widget könyvtár alapjain. Vicious egy keretrendszert is
biztosít saját widgetek létrehozásához.

Volume widgetnek kell alsa-utils.
Gmail widgetnek kell curl.
HDD Temperature widgetnek kell hddtemp.
Wireless widgetnek kell wireless-tools.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/awesome/lib/%{shortname}/widgets
install *.lua $RPM_BUILD_ROOT%{_datadir}/awesome/lib/%{shortname}
install widgets/*.lua $RPM_BUILD_ROOT%{_datadir}/awesome/lib/%{shortname}/widgets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{_datadir}/awesome/lib/%{shortname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: awesome-plugin-vicious.spec,v $
Revision 1.21  2011/05/11 08:43:21  uzsolt
- 2.0.3

Revision 1.20  2010/11/30 07:55:46  uzsolt
- 2.0.2

Revision 1.19  2010/08/25 16:16:46  uzsolt
- 2.0.1

Revision 1.18  2010/05/11 15:10:08  uzsolt
- suggests
- details about suggestions in description

Revision 1.17  2010/03/15 18:18:51  uzsolt
- correcting md5

Revision 1.16  2010/03/15 18:13:39  uzsolt
- 2.0.0

Revision 1.15  2010/03/15 12:14:28  uzsolt
- 1.0.26
- remove moc

Revision 1.14  2010/03/07 17:57:56  uzsolt
- 1.0.25

Revision 1.13  2010/02/20 07:40:50  uzsolt
- 1.0.24

Revision 1.12  2010/02/07 09:15:55  uzsolt
- correct md5

Revision 1.11  2010/02/07 08:52:21  uzsolt
- 1.0.23

Revision 1.10  2010/01/03 08:06:28  uzsolt
- 1.0.22

Revision 1.9  2009/12/28 17:44:11  uzsolt
- graph patch
- rel 2

Revision 1.8  2009/12/27 09:32:18  uzsolt
- change md5

Revision 1.7  2009/12/27 09:25:17  uzsolt
- 1.0.21

Revision 1.6  2009/11/14 19:43:55  uzsolt
- 1.0.20

Revision 1.5  2009/11/11 16:53:03  uzsolt
- 1.0.19

Revision 1.4  2009/11/09 16:50:25  uzsolt
- requires awesome >= 3.4
- obsoletes awesome-plugin-wicked
- rel 3

Revision 1.3  2009/11/08 14:22:38  uzsolt
- moc support
- rel 2

Revision 1.2  2009/10/25 14:54:23  uzsolt
- correct md5

Revision 1.1  2009/10/24 14:12:53  uzsolt
- initial

